Bug 438442 - Display author/credit task somehow in the Kirigami.AboutPage
Summary: Display author/credit task somehow in the Kirigami.AboutPage
Status: RESOLVED FIXED
Alias: None
Product: frameworks-kirigami
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: Master
Platform: Fedora RPMs Linux
: NOR normal (vote)
Target Milestone: Not decided
Assignee: Marco Martin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-11 01:59 UTC by Felipe Kinoshita
Modified: 2021-07-08 01:47 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.85


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felipe Kinoshita 2021-06-11 01:59:51 UTC
The author/credit task is not displayed the the AboutPage component in Kirigami.


STEPS TO REPRODUCE
1. edit some kirigami application. 
2. with the kaboutdata.addAuthor/addCredit function pass a task to an author/credit.

OBSERVED RESULT
Task is not displayed in the AboutPage component.

EXPECTED RESULT
The AboutPage component should display someone's task, maybe when hovering over the person's name, etc...

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: Fedora KDE 34
(available in About System)
KDE Plasma Version: 5.21.5
KDE Frameworks Version: 5.82.0
Qt Version: 5.15.2
Comment 1 Nate Graham 2021-06-15 22:25:42 UTC
What do you mean by "task"? exactly?
Comment 2 Felipe Kinoshita 2021-06-15 22:31:51 UTC
When adding a author/credit to KAboutData you can pass it's task as an argument like "Author" or "UI revamp", In apps like Konsole or Kate you can see what I mean in the "Authors" and "Thanks to" tabs in the about window.

that's what the Kirigami.AboutPage doesn't currently display.
Comment 3 Bug Janitor Service 2021-07-04 23:30:06 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/kirigami/-/merge_requests/330
Comment 4 Felipe Kinoshita 2021-07-07 20:10:02 UTC
Git commit 0c55aad1a5bd07ab768989d2271a578f472bef94 by Felipe Kinoshita.
Committed on 07/07/2021 at 12:38.
Pushed by fhek into branch 'master'.

Show author/credits task

So if someone's task is "Author" or "UI redesign" it now is displayed
in the about page component.

M  +4    -0    src/controls/AboutPage.qml

https://invent.kde.org/frameworks/kirigami/commit/0c55aad1a5bd07ab768989d2271a578f472bef94